# Module ladderz::pre_algebra::unit1

source ·
Expand description

Factors and multiples

## Functions

- get_factor_pairs
  Finds all factor pairs for a positive integer `n`.
- get_factors
  Finds all factors of a positive integer `n`.
- get_multiples_in_range
  Finds all the multiples of a positive integer `n` up to and including `end` (in the range [n, end]).
- is_factor
  Checks if a positive integer `x` is a factor of another positive integer `y`.
- is_multiple
  Checks if a positive integer `x` is a multiple of another positive integer `y`.